package com.xy.entity;

import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 设备算法计费表
 * </p>
 *
 * @author lijin
 * @since 2023-06-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceAlgorithmCharging对象", description="设备算法计费表")
public class DeviceAlgorithmCharging implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "商户id")
    private Long mercId;

    @ApiModelProperty(value = "设备id")
    private Long deviceId;

    @ApiModelProperty(value = "算法id")
    private Long algorithmId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "已用条数")
    private Integer makeSize;

    @ApiModelProperty(value = "未用条数")
    private Integer unusedSize;

    @ApiModelProperty(value = "类型")
    private Integer type;

    @ApiModelProperty(value = "过期时间;yyyyMMdd")
    private Integer timeout;

    @ApiModelProperty(value = "生效时间;yyyyMMdd")
    private Integer beginTime;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;


}
