package com.xy.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 设备-机器ID号生成
 * </p>
 *
 * @author lijin
 * @since 2022-12-29
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class DeviceCreateIds implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 设备编号;唯一ID，10数，年2月2序号6
     */
    @TableId
    private Long deviceId;

    /**
     * 设备类型
     */
    private Integer deviceType;

    /**
     * 门类型
     */
    private String doorType;

    /**
     * 绑定状态
     */
    private Boolean bindState;

    /**
     * 生成批次号
     */
    private String createPc;

    /**
     * 创建人
     */
    private Long createUserId;

    /**
     * 绑定时间
     */
    private LocalDateTime bindTime;

    /**
     * 是否自定义
     */
    private Boolean isCustom;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 最后导出二维码时间
     */
    private LocalDateTime lastExportQrCodeTime;

    /**
     * 设备二维码商户id
     */
    private Long deviceQrMercId;
}
