package com.xy.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 设备故障信息
 * </p>
 *
 * @author 谭斌
 * @since 2024-01-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "DeviceFaultInfo对象", description = "设备故障信息")
public class DeviceFaultInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "fault_id", type = IdType.ASSIGN_ID)
    private Long faultId;

    @ApiModelProperty(value = "商户ID")
    private Long mercId;

    @ApiModelProperty(value = "监控ID")
    private Long monitorId;

    @ApiModelProperty(value = "设备编号")
    private Long deviceId;

    @ApiModelProperty(value = "故障描述")
    private String describes;

    @ApiModelProperty(value = "事件编码")
    private String eventCode;

    @ApiModelProperty(value = "是否已解决")
    private Boolean state;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "标记解决时间")
    private LocalDateTime resolveTime;

    @ApiModelProperty(value = "事件发生次数")
    private Integer eventNum;

    @ApiModelProperty(value = "故障级别-字典：device_fault_level")
    private Integer faultLevel;

    @ApiModelProperty(value = "是否转售后")
    private Boolean toAfterSale;


}
