package com.xy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 设备故障信息附件
 * </p>
 *
 * @author 谭斌
 * @since 2024-01-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceFaultInfoAttachments对象", description="设备故障信息附件")
public class DeviceFaultInfoAttachments implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "attachments_id", type = IdType.ASSIGN_ID)
    private Long attachmentsId;

    @ApiModelProperty(value = "附件名称")
    private String attachmentsName;

    @ApiModelProperty(value = "ID")
    private Long faultId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "附件地址（对象存储地址）")
    private String attachmentsUrl;


}
