package com.xy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 设备故障处理流程
 * </p>
 *
 * @author 谭斌
 * @since 2024-01-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceFaultInfoFlow对象", description="设备故障处理流程")
public class DeviceFaultInfoFlow implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "flow_id", type = IdType.ASSIGN_ID)
    private Long flowId;

    @ApiModelProperty(value = "故障ID")
    private Long faultId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "操作人ID")
    private Long operatorId;

    @ApiModelProperty(value = "角色编码")
    private String operatorRole;

    @ApiModelProperty(value = "角色名称")
    private String operatorRoleName;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "图片，多个逗号分隔")
    private String images;


}
