package com.xy.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 设备流量卡
 * </p>
 *
 * @author lijin
 * @since 2023-10-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceSim对象", description="设备流量卡")
public class DeviceSim implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "类型")
    private String type;

    @ApiModelProperty(value = "激活时间")
    private LocalDateTime activateTime;

    @ApiModelProperty(value = "过期时间")
    private LocalDateTime timeout;

    @ApiModelProperty(value = "最后续费时间")
    private LocalDateTime lastRenewalTime;

    @ApiModelProperty(value = "批次号")
    private String batchNo;

    @ApiModelProperty(value = "待续费")
    private Boolean waitHandle;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "是否测试")
    private Boolean isTest;


}
