package com.xy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xy.dto.DeviceChargingDto;
import com.xy.entity.DeviceCharging;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 设备计费表 Mapper 接口
 * </p>
 *
 * @author lijin
 * @since 2023-04-14
 */
public interface DeviceChargingMapper extends BaseMapper<DeviceCharging> {

    /**
     * 分页查询
     *
     * @param page
     * @param queryPage
     * @return
     */
    IPage<DeviceChargingDto.PageVo> page(IPage page, @Param("queryPage") DeviceChargingDto.Page queryPage);

    /**
     * 管理费过期
     *
     * @param page
     * @return
     */
    IPage<Long> deviceChargingTimeout(IPage page, @Param("query") Map<String, Object> map);

    /**
     * 查询过期条数
     *
     * @param deviceChargingTimeoutCount
     * @return
     */
    DeviceChargingDto.DeviceChargingTimeoutCountVo deviceChargingTimeoutCount(@Param("query") DeviceChargingDto.DeviceChargingTimeoutCount deviceChargingTimeoutCount);
}
