package com.xy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xy.dto.DeviceDataDto;
import com.xy.dto.DeviceFaultInfoDto;
import com.xy.entity.DeviceData;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 设备统计数据 Mapper 接口
 * </p>
 *
 * @author lijin
 * @since 2023-01-11
 */
public interface DeviceDataMapper extends BaseMapper<DeviceData> {


    List<DeviceDataDto.DayChartVo> dayChart(@Param("mercId") Long mercId
            , @Param("beginDateInt") Integer beginDateInt
            , @Param("endDateInt") Integer endDateInt
            , @Param("type") String type
    );

    /**
     * 根据事件编码分组统计故障已解决、未解决设备数
     * @return {@link DeviceFaultInfoDto.CountByDeviceVO}
     */
    List<DeviceFaultInfoDto.CountByDeviceVO> deviceFaultInfoCount(  );

}

