package com.xy.dto;


import java.time.LocalDateTime;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import com.xy.utils.PageBean;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * <p>
 * 设备故障处理流程
 * </p>
 *
 * @author 谭斌
 * @since 2024-01-16
 */
public class DeviceFaultInfoFlowDto {

    @Data
    @Accessors(chain = true)
    public static class SelectList extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {

        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;

    }

    @Data
    @Accessors(chain = true)
    public static class Save extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Update extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "ID")
        private Long flowId;

        @ApiModelProperty(value = "故障ID")
        private Long faultId;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;

        @ApiModelProperty(value = "操作人ID")
        private Long operatorId;

        @ApiModelProperty(value = "角色编码")
        private String operatorRole;

        @ApiModelProperty(value = "角色名称")
        private String operatorRoleName;

        @ApiModelProperty(value = "内容")
        private String content;

        @ApiModelProperty(value = "图片，多个逗号分隔")
        private String images;


    }

}
