package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 设备流量卡充值表
 * </p>
 *
 * @author lijin
 * @since 2023-10-16
 */
public class DeviceSimChargeDto {

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {

        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;

        @ApiModelProperty(value = "创建时间-起")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime beginCreateTime;

        @ApiModelProperty(value = "创建时间-始")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime endCreateTime;
    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "订单id")
        private String orderId;

        @ApiModelProperty(value = "流量卡id")
        private String simId;

        @ApiModelProperty(value = "商户id")
        private Long mercId;

        @ApiModelProperty(value = "金额")
        private Integer money;

        @ApiModelProperty(value = "数量")
        private Integer size;

        @ApiModelProperty(value = "支付方式")
        private Integer payType;

        @ApiModelProperty(value = "状态")
        private Integer status;

        @ApiModelProperty(value = "备注")
        private String note;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;

        @ApiModelProperty(value = "附件")
        private String files;

        @ApiModelProperty(value = "商户名称")
        private String mercName;
    }

    @Data
    @Accessors(chain = true)
    public static class MoonCount {

        @ApiModelProperty(value = "商户id")
        private List<Long> mercIds;

        @ApiModelProperty(value = "统计时间-起 yyyy-MM")
        private String beginDate;

        @ApiModelProperty(value = "统计时间-始 yyyy-MM")
        private String endDate;
    }

    @Data
    @Accessors(chain = true)
    public static class MoonCountVo {

        @ApiModelProperty(value = "统计时间 yyyy-MM")
        private String date;

        @ApiModelProperty(value = "商户id")
        private Long mercId;

        @ApiModelProperty(value = "商户名称")
        private String mercName;

        @ApiModelProperty(value = "卡数")
        private Integer simSize;

        @ApiModelProperty(value = "续费金额")
        private Integer money;
    }

    @Data
    @Accessors(chain = true)
    public static class MoonCountPage {

        @ApiModelProperty(value = "分页对象")
        private PageBean page;

        @ApiModelProperty(value = "商户id")
        private List<Long> mercIds;

        @ApiModelProperty(value = "统计时间-起 yyyy-MM-dd")
        private String beginDate;

        @ApiModelProperty(value = "统计时间-始 yyyy-MM-dd")
        private String endDate;
    }
}
