package com.xy.dto;

import cn.hutool.core.date.DateTime;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.List;


/**
 * 商家端小程序销售统计-更多
 */
public class MercMiniSalseCountDto {

    @Data
    @Accessors(chain = true)
    public static class UpdateInfo {
        @NotNull(message = "deviceId不能为空")
        @ApiModelProperty("设备id")
        private Long deviceId;

        @ApiModelProperty("设备名称")
        private String deviceName;

        @ApiModelProperty("点位id")
        private Long placeId;

        @ApiModelProperty("线路id")
        private Long placeLineId;

        @ApiModelProperty("区域id")
        private Long districtId;

        @ApiModelProperty("经度")
        private String lon;

        @ApiModelProperty("纬度")
        private String lat;

    }

    @Data
    @Accessors(chain = true)
    public static class Active {

        @NotNull(message = "deviceId不能为空")
        @ApiModelProperty("设备id")
        private Long deviceId;
    }

    @Data
    @Accessors(chain = true)
    public static class BusySate {

        @NotNull(message = "设备运营状态不能为空")
        @ApiModelProperty("设备运营状态 1 运营中 2 已停运")
        private Integer busyState;
        @NotNull(message = "deviceId不能为空")
        @ApiModelProperty("设备id")
        private Long deviceId;
    }


    @Data
    @Accessors(chain = true)
    public static class HomePageMonthVO {
        @ApiModelProperty(value = "本月收款")
        private Integer monthReceivedMoney;
        @ApiModelProperty(value = "本月销售-订单金额")
        private Integer monthOrderTotalMoney;

        @ApiModelProperty(value = "本月销售-到账金额")
        private Integer monthOrderRealMoney;
        @ApiModelProperty(value = "本月销售-数量")
        private Integer monthOrderNum;

        @ApiModelProperty(value = "本月订单-未收款金额")
        private Integer noPaymentMoney;

        @ApiModelProperty(value = "历史订单-未收款金额")
        private Integer hisNoPaymentMoney;
    }


}
