package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceCreateIdsDto;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 设备-机器ID号生成 服务类
 * </p>
 *
 * @author lijin
 * @since 2022-12-29
 */
@RestMappingController("device-create-ids")
public interface DeviceCreateIdsService {

    /**
     * 修改
     *
     * @param update
     * @return
     */
    @PostMapping("update")
    R update(@RequestBody @Validated DeviceCreateIdsDto.Update update);

    /**
     * 批量修改
     *
     * @param updateBatch
     * @return
     */
    @PostMapping("updateBatch")
    R updateBatch(@RequestBody @Validated DeviceCreateIdsDto.UpdateBatch updateBatch);
}
