package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceSimDto;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 设备流量卡 服务类
 * </p>
 *
 * @author lijin
 * @since 2023-10-16
 */
@RestMappingController("/device-sim")
public interface DeviceSimService {

    /**
     * 购买
     *
     * @param pay
     * @return
     */
    @PostMapping("pay")
    R pay(@RequestBody @Validated DeviceSimDto.Pay pay);

    /**
     * 购买回调
     *
     * @param payNotice
     * @return
     */
    @PostMapping("payNotice")
    R payNotice(@RequestBody @Validated DeviceSimDto.PayNotice payNotice);

    /**
     * 查询过期条数
     *
     * @param deviceSimTimeoutCount
     * @return
     */
    @PostMapping("deviceSimTimeoutCount")
    R<DeviceSimDto.DeviceSimTimeoutCountVo> deviceSimTimeoutCount(@RequestBody @Validated DeviceSimDto.DeviceSimTimeoutCount deviceSimTimeoutCount);
}
